div.container {
    width 95% !important

   & #toolbar {
	  font-size 1rem
	  box-shadow 0 0 3px #808080
	  background-color #fafafa
	  margin 10px !important
	  white-space nowrap
	  width 90%
	  min-width 605px


	  & > div {
	  	margin 4px 0px !important
	  }

	  & .tool-item, .zoom-tool-item {
		  padding 5px
		  cursor pointer
	  }

	  & .tool-item.active {
		 box-shadow inset 0px 0px 6px 0px #2dabea
		 -webkit-box-shadow inset 0px 0px 6px 0px #2dabea
		 -moz-box-shadow inset 0px 0px 6px 0px #2dabea
		 -o-box-shadow inset 0px 0px 6px 0px #2dabea
	  }

	  & #columnAlign, #fontSize, #colspan, #tableWidth {
	    width 10%
	    margin 0px
	    background-color white
	    height 4%
	    padding-left 4px
	    box-shadow inset 0px 0px 6px 0px #2dabea
	    -webkit-box-shadow inset 0px 0px 6px 0px #2dabea
	    -moz-box-shadow inset 0px 0px 6px 0px #2dabea
	    -o-box-shadow inset 0px 0px 6px 0px #2dabea
	  }

	  & #tableWidth {
		  color black !important
	  }

	  & #fontSize, #colspan {
	  		width 6%
	  }

	  & #cellBorder i {
	  	float right
	  }

	  & .errMsg {
		  display inline-block
	  }

	  & .tool-item:hover{
		background-color: rgba(45, 171, 234, 0.62);
		border-color: #ccc;
	  }

	  & .dropdown-content li {
	  		min-height 25px !important
	  		& a{
	  			padding 5px !important
		 		font-size 1rem !important
	  		}
		 
	   }

	   & .withStubTool label {
		   color rgba(0,0,0,0.87)
		   padding-left 20px
		   height 18px
	   }

	   & .withStubTool label:after {
		   width 15px !important
		   height 15px !important
		   top 3px !important
	   }

	   & .withStubTool [type="checkbox"].filled-in:checked+label:before {
		   width 6px !important
	   }

	}

	& .tableContainerGroup {
		height  : 500px;
    	overflow: auto;
	}

	& #tableContainer {
		transform-origin top left
		
		& table {
			
			table-layout: fixed;
			border: none;

			& .sty, .styrm {
				border-bottom: none;
			}

			& thead, tbody, colgroup {
				border: none;
			}

			& td[valid=false], th[valid=false] {
				background-color: lightpink;
			}

			& td[valid=false] .spanWrap, th[valid=false] .spanWrap {
				background-color: lightcyan;	
			}

			& td[currentSelection=true], th[currentSelection=true] {
				background-color: #2dabea;	
			}

			& tr td p, tr th p {
				margin: 0px !important;
			}

			& td[valign="top"], th[valign="top"] {
				vertical-align: top;
			}

			& td, th {
				&[align="center"] p {
					text-align: center;
				}
				&[align="left"] p {
					text-align: left;
				}
				&[align="right"] p {
					text-align: right;
				}
				&[align="justify"] p {
					text-align: justify;
				}
			}

			& td[valign="center"], th[valign="center"] {
				vertical-align: middle;
			}

			& td[valign="bottom"], th[valign="bottom"] {
				vertical-align: bottom;
			}

			& [data-border-left="true"] {
				border-left: 1px solid #000 !important;
			}

			& [data-border-right="true"] {
				border-right: 1px solid #000 !important;
			}

			& [data-border-top="true"] {
				border-top: 1px solid #000 !important;
			}

			& [data-border-bottom="true"] {
				border-bottom: 1px solid #000 !important;
			}

			& img {
				max-width 100%
			}
			
		}

		& .stubNode {
			float left
		}

		& .stubNode:after {
			content "\A0"
		}

	}
	
	& .noselect {
	  -webkit-touch-callout none /* iOS Safari */
	  -webkit-user-select none   /* Chrome/Safari/Opera */
	  -khtml-user-select none    /* Konqueror */
	  -moz-user-select none      /* Firefox */
	  -ms-user-select none       /* Internet Explorer/Edge */
	  user-select none           /* Non-prefixed version, currently
	                                  not supported by any browser */
	}

	& .updateTable {
	  margin-right 5px
	}

	& .btn-danger {
	  background-color #fb5a4e
	}

	& .btn-danger:hover {
	  background-color #fb5a4e
	}

	& .btn {
	     height 20px
	     line-height 0px
	     padding 5px
		 font-size 0.8rem
	}

	& .loadingDiv {
	    position absolute
	    width 592px
	    height 512px 
	    left 50% 
	    top 50%
	    margin-left 296px
	}

}

.loadingProgress {
	top: 30%;
    width: 100%;
    position: absolute !important;
}

.layoutContainer {
	height 70px

	.layout {
		display inline-block
		position absolute
		margin-left 1px
		border-right 1px solid rgba(128, 128, 128, 0.34)

		& .layoutName {
			//display inline-block
			text-align center
			background rgba(128,128,128,0.75)
			color #795548
			border-top 1px solid white
			margin-top 0px
			//float right
		}
		/*&:after {
			content "-->"
			float right
		}

		&:before {
			content "<--"
			float left
		}*/
		
	}
}
